Download it now!
Bug 78611 - Mail merge : corrupted paragraph numbering
Summary: Mail merge : corrupted paragraph numbering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 16:08 UTC by Leszek Kubrak
Modified: 2018-12-12 23:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Main document and files generated with mail merge (74.75 KB, application/zip)
2014-05-12 16:08 UTC, Leszek Kubrak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leszek Kubrak 2014-05-12 16:08:22 UTC
Created attachment 98934 [details]
Main document and files generated with mail merge

The source document (file MainDocument.odt) contains paragraphs with enabled numbering. After printing via mail merge this numbering is disabled. the same symptom is visible in file generated as output from mail merge with option "all in single document" (file Generated_as_single_doc.odt). Document generated with option "individual documents" (file Generated_as_individual_doc.odt) is OK.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-29 01:44:05 UTC
Confirmed in Windows XP and Linux Mint with 4.1.6, 4.2.4, 4.3b. Once you reach step 7 (personal document) of the mail merge wizard, the number list numbers will be removed from the document.
Comment 2 Alex Thurgood 2014-06-30 09:09:04 UTC
I haven't checked, but could this be something to do with the document being reset to a default document template (including styles) that excludes the numbering style defined by the user ? This would also correspond to other buggy page style reports involving the mailmerge functionality, e.g. filling in envelopes.

The code for mailmerge is in mailmerge.py - why that might default back to a style set in which numbering is removed, I have no idea.
Comment 3 Alex Thurgood 2014-06-30 09:14:05 UTC
CC: Caolan, as I believe he knows something about the mailmerge code ?
Comment 4 Alex Thurgood 2014-06-30 09:15:32 UTC
Leszek : is this a regression, or did this always happen in this way ?
Comment 5 Leszek Kubrak 2014-06-30 09:24:50 UTC
(In reply to comment #4)
> Leszek : is this a regression, or did this always happen in this way ?

I think that this is "some old bug" but not always revealed. This same problem exists in Apache Openoffice.
Comment 6 Leszek Kubrak 2014-08-08 06:55:36 UTC
In 4.3.0 is worse than the version 4.2.5. This means that generated documents are always incorrect.
Comment 7 Jan-Marek Glogowski 2014-08-08 22:28:57 UTC
I just tested with OOo 3.2.1 and it shows the same bug.
Comment 8 Commit Notification 2014-09-24 16:14:57 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fd7ca788bc8fd88b048c544edb0dc6518010e11

fdo#78611 Don't create automatic rules on reset



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Leszek Kubrak 2014-10-06 09:48:32 UTC
Tested on nightly build 4.3.3 for Windows from 2014-10-03 and data attachet to this bug - the problem still exists.
Comment 10 Samuel Mehrbrodt (CIB) 2014-10-06 09:51:51 UTC
Nobody claimed it's fixed in 4.3.
It is fixed in 4.4 which will be released in January 2015.
Comment 11 Commit Notification 2018-12-12 23:39:55 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7bbc1fd443ff0b137206ad279eaed7bd4d5ec6ec%5E%21

tdf#78611 mailmerge: new unit tests: numbering in headings

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.